Debian Bug report logs - #505984
Please depend on phpCAS package instead of shipping a copy inside moodle

Package: moodle; Maintainer for moodle is Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>; Source for moodle is src:moodle.

Reported by: Olivier Berger <olivier.berger@it-sudparis.eu>

Date: Mon, 17 Nov 2008 13:42:12 UTC

Severity: wishlist

Done: Tomasz Muras <nexor1984@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Moodle Packaging Team <moodle-packaging@catalyst.net.nz>:
Bug#505984; Package moodle. (Mon, 17 Nov 2008 13:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
New Bug report received and forwarded. Copy sent to Moodle Packaging Team <moodle-packaging@catalyst.net.nz>. (Mon, 17 Nov 2008 13:42:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please depend on phpCAS package instead of shipping a copy inside moodle
Date: Mon, 17 Nov 2008 14:33:47 +0100
Package: moodle
Severity: wishlist

Hi.

You may have noticed the following RFS for libcas-php, a package that would provide phpCAS for Debian.

http://www.nabble.com/RFS%3A-libcas-php-to20539390.html

Should it enter Debian, then the moodle package should depend on it instead of shipping a copy of phpCAS.

Feel free to subscribe to the corresponding ITP for more details : #495542

Thanks in advance.


-- System Information:
Debian Release: lenny/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-openvz-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages moodle depends on:
ii  apache2-mpm-prefork [httpd]   2.2.9-10   Apache HTTP Server - traditional n
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  libapache2-mod-php5           5.2.6-5    server-side, HTML-embedded scripti
pn  mimetex                       <none>     (no description available)
ii  php5-cli                      5.2.6-5    command-line interpreter for the p
pn  php5-curl                     <none>     (no description available)
pn  php5-gd                       <none>     (no description available)
ii  php5-mysql                    5.2.6-5    MySQL module for php5
ii  php5-pgsql                    5.2.6-5    PostgreSQL module for php5
ii  ucf                           3.0010     Update Configuration File: preserv
pn  wwwconfig-common              <none>     (no description available)

Versions of packages moodle recommends:
pn  postgresql | mysql-server     <none>     (no description available)

moodle suggests no packages.




Reply sent to Tomasz Muras <nexor1984@gmail.com>:
You have taken responsibility. (Sun, 15 Aug 2010 21:15:14 GMT) Full text and rfc822 format available.

Notification sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug acknowledged by developer. (Sun, 15 Aug 2010 21:15:14 GMT) Full text and rfc822 format available.

Message #10 received at 505984-done@bugs.debian.org (full text, mbox):

From: Tomasz Muras <nexor1984@gmail.com>
To: 505984-done@bugs.debian.org
Subject: phpCAS was never packaged
Date: Sun, 15 Aug 2010 22:14:09 +0100
Tags: wontfix

Unfortunately phpCAS was never packaged:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495542
so this bug report is not relevant anymore.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Sep 2010 07:36:48 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Olivier Berger <obergix@debian.org> to control@bugs.debian.org. (Thu, 28 Jun 2012 20:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>:
Bug#505984; Package moodle. (Thu, 28 Jun 2012 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to Moodle Packaging Team <pkg-moodle-maintainers@lists.alioth.debian.org>. (Thu, 28 Jun 2012 21:03:06 GMT) Full text and rfc822 format available.

Message #19 received at 505984@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: moodle@packages.qa.debian.org
Cc: 662945@bugs.debian.org, 505984@bugs.debian.org
Subject: Moodle and php-cas - Was: Re: Bug#505984 closed by Tomasz Muras <nexor1984@gmail.com> (phpCAS was never packaged)
Date: Thu, 28 Jun 2012 22:58:33 +0200
Hi.

php-cas is now in unstable (http://packages.qa.debian.org/p/php-cas.html).

Maybe it's time to effectively depend on it instead of shipping a copy (if this is still the case), and get rid of #662945 hopefully.

Beware to php-cas version incompatibilities though.

Hope this helps.

Best regards,

On Sun, Aug 15, 2010 at 09:15:14PM +0000, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the moodle package:
> 
> #505984: Please depend on phpCAS package instead of shipping a copy inside moodle
> 
> It has been closed by Tomasz Muras <nexor1984@gmail.com>.
> 
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Tomasz Muras <nexor1984@gmail.com> by
> replying to this email.
> 
> 
> -- 
> 505984: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505984
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems

> Date: Sun, 15 Aug 2010 22:14:09 +0100
> From: Tomasz Muras <nexor1984@gmail.com>
> To: 505984-done@bugs.debian.org
> Subject: phpCAS was never packaged
> User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.11)
>  Gecko/20100713 Thunderbird/3.0.6
> 
> Tags: wontfix
> 
> Unfortunately phpCAS was never packaged:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=495542
> so this bug report is not relevant anymore.
> 

> Date: Mon, 17 Nov 2008 14:33:47 +0100
> From: Olivier Berger <olivier.berger@it-sudparis.eu>
> To: Debian Bug Tracking System <submit@bugs.debian.org>
> Subject: Please depend on phpCAS package instead of shipping a copy inside
>  moodle
> X-Mailer: reportbug 3.45
> 
> Package: moodle
> Severity: wishlist
> 
> Hi.
> 
> You may have noticed the following RFS for libcas-php, a package that would provide phpCAS for Debian.
> 
> http://www.nabble.com/RFS%3A-libcas-php-to20539390.html
> 
> Should it enter Debian, then the moodle package should depend on it instead of shipping a copy of phpCAS.
> 
> Feel free to subscribe to the corresponding ITP for more details : #495542
> 
> Thanks in advance.
> 
> 
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers testing-proposed-updates
>   APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.26-1-openvz-686 (SMP w/2 CPU cores)
> Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages moodle depends on:
> ii  apache2-mpm-prefork [httpd]   2.2.9-10   Apache HTTP Server - traditional n
> ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
> ii  libapache2-mod-php5           5.2.6-5    server-side, HTML-embedded scripti
> pn  mimetex                       <none>     (no description available)
> ii  php5-cli                      5.2.6-5    command-line interpreter for the p
> pn  php5-curl                     <none>     (no description available)
> pn  php5-gd                       <none>     (no description available)
> ii  php5-mysql                    5.2.6-5    MySQL module for php5
> ii  php5-pgsql                    5.2.6-5    PostgreSQL module for php5
> ii  ucf                           3.0010     Update Configuration File: preserv
> pn  wwwconfig-common              <none>     (no description available)
> 
> Versions of packages moodle recommends:
> pn  postgresql | mysql-server     <none>     (no description available)
> 
> moodle suggests no packages.
> 
> 


-- 
Olivier BERGER 
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut Mines-Telecom, Telecom SudParis, Evry (France)





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Jul 2012 07:32:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:55:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.